//  ANLEGEN DER FUNKTION nextPlayer
void nextPlayer() {

  // int magnetStatus = 0;

  // Die Nummer der/des nächsten Spielenden wir ermittelt.
  // Modulo sorgt dafür, dass der Zähler zurückgesetzt wird,
  // wenn die/der letzte Spielende erreicht ist.

  int next = previousPlayer + 1;
  next = next % (columns);
  previousPlayer = next;

  // Ermitteln der Motorschritte, die zum Erreichen der/des nächsten Spielenden erforderlich sind

  int stepsToNext = ((ppA[next][2] * degreeInSteps) + (360 * degreeInSteps) - stepCounter);

  // in der Variable stepsPerRotationOfPlate wird der Wert der Motorschritte für eine komplette
  // Umderehung des Tellers zwischengespeichert, um sie anschließend mit der Modulo Funktion beutzen zu können.
  // Dadurch wird der Übergang an der 0°/360° Marke ermöglicht

  int stepsPerRotationOfPlate = 360 * degreeInSteps;
  stepsToNext = stepsToNext % stepsPerRotationOfPlate;

  for (int i = 0; i < stepsToNext; i++) {

    // Mit der offset Funktion wird vor jedem Motorschritt der aktuelle Nullpunkt ermittelt

    offsetCount = i;
    offset();

    // Dann wird der Motor einen Schritt weitergedreht

    // Motorrotation im Uhrzeigersinn
    digitalWrite(directionPin1, HIGH);

    digitalWrite(stepPin1, HIGH);
    delayMicroseconds(stepperSpeed);
    digitalWrite(stepPin1, LOW);
    delayMicroseconds(stepperSpeed);

  }

  if (printCounter % 2 == 0) {                                                        // Nur für den Entwicklungsmodus
    Serial.println("Ein Zahn wurde gedrückt und das Krokodil hat NICHT Zugebissen."); // Nur für den Entwicklungsmodus
  }                                                                                   // Nur für den Entwicklungsmodus
  Serial.println("-----------------------------------");                              // Nur für den Entwicklungsmodus
  Serial.print("Spieler(in) ");                                                       // Nur für den Entwicklungsmodus
  Serial.print(next + 1);                                                             // Nur für den Entwicklungsmodus
  Serial.println(" ist an der Reihe und wird angefahren.");                           // Nur für den Entwicklungsmodus
  Serial.println("-----------------------------------");                              // Nur für den Entwicklungsmodus
}
