// Anlegen der Funktion printStatus

/* Diese Funktion gibt den aktuellen Satus auf dem seriellen Monitor aus.
   Diese Ausgabe ist im Grunde nur für die Entwicklungsphase interessant,
   da im Spielmodus keine visuelle Ausgabe geplant ist.
*/

void printStatus() {
  Serial.println("Aktueller Status: ");
  Serial.println("");
  if (printCounter == 0) {
    Serial.println("Das Spiel ist bereit.");
  }
  else  {
    Serial.print("Es spielt Spieler(in): ");
    Serial.println(previousPlayer + 1);
  }
  Serial.println("");
  for (int i = 0; i < korkoTeeth; i++) {
    Serial.print("Zahn ");
    Serial.print(i + 1);
    Serial.print(": ");
    if (teethStatus[i] == 1) {
      Serial.println("gedrückt");
    }
    if (teethStatus[i] == 0) {
      Serial.println(" ");
    }
  }
  Serial.println("");
  Serial.print("Aktuell gedrückte Zähne: ");
  Serial.println(teethSum);
  Serial.println("");
  Serial.print("Das Krokodilmaul ist ");
  if (mouthStatus == 1) {
    Serial.println("geschlossen.");
  }
  if (mouthStatus == 0) {
    Serial.println("geöffnet.");
  }
  Serial.println("");
  Serial.print("Die aktulle Position ist: ");
  float degree = stepCounter * stepsInDegree;
  degree = round(degree);
  int outputDegree = degree;
  Serial.print(outputDegree);
  Serial.println(" Grad.");
  Serial.println("-----------------------------------");
  printCounter++;
}
