//  ANLEGEN DER FUNKTION doubleCheck

/* Es soll sichergestellt werden, dass der ausgegebene Status ein permanenter
    Zustand ist und keine zufällige Abweichung (durch Wackelkontakt oder ähnlichem).
    Dazu sollen innerhalb von 2 Sekunden 200 Abfragen von jawStatus erfolgen, bei denen sich
    die Ausgaben nicht unterscheiden dürfen. Erst dann wird dieser Zustand als tatsächlicher
    Zustand angenommen.
*/

void doubleCheck () {

  int n = 0;
  int lastMouthStatus = mouthStatus;
  int lastTeethSum = teethSum;
  while (n < 200) {
    delay (10);
    jawStatus();
    if (mouthStatus == lastMouthStatus && teethSum == lastTeethSum) {
      n++;
    }
    else {
      lastMouthStatus = mouthStatus;
      lastTeethSum = teethSum;
      n = 0;
    }
  }
}
